#
# spec file for package ghc-resourcet
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name resourcet

Name:           ghc-resourcet
Version:        1.1.7.4
Release:        1.3
Summary:        Deterministic allocation and freeing of scarce resources
License:        BSD-3-Clause
Group:          System/Libraries

Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-mmorph-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
# End cabal-rpm deps

%description
This package was originally included with the conduit package, and has since
been split off. For more information, please see
<http://www.yesodweb.com/book/conduits>.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Provides:       %{name}-static = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sat May  7 2016 mimi.vx@gmail.com
- update to 1.1.7.4
  * Make test suite slightly more robust
* Tue Mar  8 2016 mimi.vx@gmail.com
- update to 1.1.7.3
* Mon Feb 22 2016 mimi.vx@gmail.com
- update to 1.1.7.2
  * Remove upper bound on transformers
* Wed Jan 27 2016 mimi.vx@gmail.com
- update to 1.1.7.1
  * transformers-compat 0.5
* Mon Dec  7 2015 mimi.vx@gmail.com
- update to 1.1.7
  * Canonicalise Monad instances
* Tue Aug  4 2015 mimi.vx@gmail.com
- update to 1.1.6
  * Safe/Trustworthy for resourcet
* Tue May 26 2015 mimi.vx@gmail.com
- update to 1.1.5
  * Add pass-through instances for Alternative and MonadPlus
* Tue Apr 21 2015 mimi.vx@gmail.com
- update to 1.1.4.1
  * Add `MonadResource ExceptT` instance
* Sun Feb  1 2015 mpluskal@suse.com
- Add dependency on ghc-exceptions which is now required
- Update to 1.1.3.3:
  + monad-control-1.0 support
  + Provide the `withEx` function to interact nicely with the
    exceptions package.
* Sun Oct  6 2013 sbahling@suse.com
- Initial package - version 0.4.8
